524ff20750
- switch fips checking to use the libkcapi based fipscheck toolset (bsc#1048565) * adds 0527-switch-fips-checking-to-use-the-libkcapi-based-fipsc.patch - iscsiroot: call handle_firmware only for non-iface invocations (bsc#1032284) * adds 0526-iscsiroot-call-handle_firmware-only-for-non-iface-in.patch OBS-URL: https://build.opensuse.org/request/show/510120 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=314
37 lines
1.2 KiB
Diff
37 lines
1.2 KiB
Diff
From d9e0e5682daeda83e5b1096d2fe570f2d38e65a5 Mon Sep 17 00:00:00 2001
|
|
From: Daniel Molkentin <dmolkentin@suse.com>
|
|
Date: Wed, 12 Jul 2017 11:46:50 +0200
|
|
Subject: [PATCH] iscsiroot: call handle_firmware only for non-iface
|
|
invocations (bsc#1032284)
|
|
|
|
This partially reverts the "setup bnx2i offload connections properly"
|
|
patch to the original version from bsc#997598.
|
|
|
|
Patch-by: Martin Wilck <martin.wilck@suse.com>
|
|
---
|
|
modules.d/95iscsi/iscsiroot.sh | 8 +++++---
|
|
1 file changed, 5 insertions(+), 3 deletions(-)
|
|
|
|
diff --git a/modules.d/95iscsi/iscsiroot.sh b/modules.d/95iscsi/iscsiroot.sh
|
|
index 6ad279f2..3a2463f5 100755
|
|
--- a/modules.d/95iscsi/iscsiroot.sh
|
|
+++ b/modules.d/95iscsi/iscsiroot.sh
|
|
@@ -264,9 +264,11 @@ if [ "$netif" = "timeout" ] && all_ifaces_setup; then
|
|
fi
|
|
|
|
if getargbool 0 rd.iscsi.firmware -d -y iscsi_firmware ; then
|
|
- [ -f /tmp/session-retry ] || echo 1 > /tmp/session-retry
|
|
- handle_firmware
|
|
- ret=$?
|
|
+ if [ "$netif" = "timeout" ] || [ "$netif" = "online" ] || [ "$netif" = "dummy" ]; then
|
|
+ [ -f /tmp/session-retry ] || echo 1 > /tmp/session-retry
|
|
+ handle_firmware
|
|
+ ret=$?
|
|
+ fi
|
|
fi
|
|
|
|
if ! [ "$netif" = "online" ]; then
|
|
--
|
|
2.12.3
|
|
|